jQuery( function() {
	jQuery('.currencies .remove_item').click(function() {
		var $tbody = jQuery('.currencies').find('tbody');
		if ( $tbody.find('tr.current').size() > 0 ) {
			$current = $tbody.find('tr.current');

			if ( $current.hasClass('default-currency') ) {
				alert('Default currency can not be removed');
			} else {
				$current.remove();
			}
		} else {
			alert( currencies.no_rows_selected );
		}

		return false;
	});

	// Removes sortable effect from default currency
	jQuery('.default-currency').sortable();
	jQuery('.default-currency').sortable('cancel');

	jQuery('.currencies .insert').click(function() {
		var $tbody = jQuery('.currencies').find('tbody');
		var size = $tbody.find('tr').size();

		var code = '<tr>\
		<td class="drag">\
			<img src="' + currencies.plugin_url + '/admin/assets/images/drag.png" />\
		</td>\
		<td>\
			<input type="text" value="" name="currencies[code][]">\
		</td>\
		<td>\
			<input type="text" value="" name="currencies[symbol][]">\
		</td>\
		<td>\
			<input type="text" value="" name="currencies[name][]">\
		</td>\
		<td>\
			<select name="currencies[position][]">\
				<option value="left">' + currencies.left + '</option>\
				<option value="right">' + currencies.right + '</option>\
				<option value="left_space">' + currencies.left_with_space + '</option>\
				<option value="right_space">' + currencies.right_with_space + '</option>\
			</select>\
		</td>\
			<td>\
				<div class="currency-icon"></div>\
				<div class="currency-buttons">\
					<input type="hidden" class="currency-icon-url" name="currencies[icon_url][]" id="currency-icon" value="">\
					<button type="button" class="button" id="events_video_upload_btn" data-media-uploader-target="#currency-icon">' + currencies.upload_icon + '</button>\
				</div>\
			</td>\
		</tr>';

		if ( $tbody.find('tr.current').size() > 0 ) {
			$tbody.find('tr.current').after( code );
		} else {
			$tbody.append( code );
		}

		return false;
	});
});