<?php

if ( ! defined( 'ABSPATH' ) ) {
	exit;
}

global $Lion_MultiCurrency;

if ( $currencies && $type && $style ) :

	// WordPress core before_widget hook (always include)
	echo $before_widget;

	echo '<div class="widget-text wp_widget_multicurrency">';

	if ( $title ) {
		echo $before_title . $title . $after_title;
	}

		$output = '';

	if ( $style == 'dropdown' ) {
		$output .= '<div class="dropdown">';
		$output .= '<button class="dropbtn">';

		$output .= lion_multicurrency_get_currency_output( $Lion_MultiCurrency->get_current_currency(), $currencies, $type );

		$output .= '</button>';
		$output .= '<div class="dropdown-content">';
	} else {
		$output .= '<div class="list-wrapper">';
		$output .= '<div class="list-content">';
	}

	foreach ( $currencies as $code => $currency ) {
		if ( $style == 'dropdown' ) {
			if ( $Lion_MultiCurrency->get_current_currency() == $currency['code'] ) {
				continue;
			}
		}

		if ( empty( $currency['code'] ) ) {
			continue;
		}

		$output .= lion_multicurrency_get_currency_output( $code, $currencies, $type );
	}

		$output .= '</div>';
		$output .= '</div>';

		echo $output;
	echo '</div>';

	echo $after_widget;

endif;
